org.apache.solr.hadoop

## Enum SolrCounters

- java.lang.Object
- - java.lang.Enum<SolrCounters>
  - - org.apache.solr.hadoop.SolrCounters

- All Implemented Interfaces:
    Serializable, Comparable<SolrCounters>

      public enum SolrCounters
      extends Enum<SolrCounters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BATCH_WRITE_TIME`
    `BATCHES_WRITTEN`
    `DOCUMENTS_WRITTEN`
    `LOGICAL_TREE_MERGE_TIME`
    `PHYSICAL_REDUCER_MERGE_TIME`
    `PHYSICAL_TREE_MERGE_TIME`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static SolrCounters` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SolrCounters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOCUMENTS_WRITTEN

          public static final SolrCounters DOCUMENTS_WRITTEN

    - #### BATCHES_WRITTEN

          public static final SolrCounters BATCHES_WRITTEN

    - #### BATCH_WRITE_TIME

          public static final SolrCounters BATCH_WRITE_TIME

    - #### PHYSICAL_REDUCER_MERGE_TIME

          public static final SolrCounters PHYSICAL_REDUCER_MERGE_TIME

    - #### LOGICAL_TREE_MERGE_TIME

          public static final SolrCounters LOGICAL_TREE_MERGE_TIME

    - #### PHYSICAL_TREE_MERGE_TIME

          public static final SolrCounters PHYSICAL_TREE_MERGE_TIME

  - ### Method Detail

    - #### values

          public static SolrCounters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SolrCounters c : SolrCounters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SolrCounters valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SolrCounters>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.